package p04_if;

import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

// W tej wersji:
// - wypisujemy wszystkie informacje o błędach, jakie są znajdowane
// - ale uzyskujemy też jednoznaczną informację czy bagaż jest zaakceptowany
// - robimy to budując listę błędów
public class Bagaz6 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.println("Podaj wymiary bagażu.");
		System.out.print("długość: ");
		double a = scanner.nextDouble();
		System.out.print("szerokość: ");
		double b = scanner.nextDouble();
		System.out.print("wysokość: ");
		double c = scanner.nextDouble();
		double objetosc = a*b*c;
		
		List<String> bledy = new ArrayList<>();
		
		if(a > 50) {
			bledy.add("Zbyt duża długość");
		}
		if(b > 50) {
			bledy.add("Zbyt duża szerokość");
		}
		if(c > 50) {
			bledy.add("Zbyt duża wysokość");
		}
		if(objetosc > 50_000) {
			bledy.add("Zbyt duża objętość");
		}

		if(bledy.isEmpty()) {
			System.out.println("Bagaż spełnia normę");
		} else {
			System.out.println("Bagaż odrzucony. Zidentyfikowane problemy:");
			for(String blad : bledy) {
				System.out.println(" * " + blad);
			}
		}
	}

}
